Subject: Re: bug#48097:
From: Eli Zaretskii <[email-masked]>
To: Andrea Corallo <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Thu, 29 Apr 2021 18:00:45 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Andrea Corallo <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Thu, 29 Apr 2021 14:26:50 +0000
> 
> > Please don't close yet, I still see the problem.
> >
> > It is strange that Alex says bug#48061 should solve this: the fix for
> > that bug changed comp-cstr.el, and I have that natively-compiled after
> > that change.  Do I need to make sure other files are recompiled, for
> > example the CC mode files?
> 
> Yes, all possibly miscompiled files should be recompiled so at least
> "cc-engine.el" were we know for sure `c-determine-limit-no-macro' was
> miscompiled.  If the eln corresponding to "cc-engine.el" is in your
> "~/.emacs.d/eln-cache" it's probably still the broken one, in this case
> should be sufficient remove it and restart Emacs.

OK, after recompiling the CC mode files, the problem is indeed gone.
Closing.